### Enumeration

# AppStream FormatStyle

since: 1.0

#### Declaration

    enum AppStream.FormatStyle

#### Description [src]

There are a few differences between AppStream’s metainfo files (shipped by upstream projects) and the catalog metadata (shipped by distributors). The data source kind indicates which style we should process. Usually you do not want to set this explicitly.

Available since: 1.0

#### Members

`AS_FORMAT_STYLE_UNKNOWN`

  The format style is unknown.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_FORMAT_STYLE_METAINFO`

  Parse AppStream upstream metadata (metainfo files)

  - Value: `1`
  - Nickname: `metainfo`
  - Available since: 1.0
`AS_FORMAT_STYLE_CATALOG`

  Parse AppStream metadata catalog (shipped by software distributors)

  - Value: `2`
  - Nickname: `catalog`
  - Available since: 1.0